<?php

declare(strict_types=1);

namespace KupShop\WatchdogBundle\Resources\script;

use KupShop\AdminBundle\Util\Script\Script;
use KupShop\KupShopBundle\Util\Compat\ServiceContainer;
use KupShop\WatchdogBundle\Util\Watchdog;

class RunWatchdogScript extends Script
{
    protected static $name = 'Spustit watchdog';

    protected static $defaultParameters = [];

    protected function run(array $arguments)
    {
        $watchdog = ServiceContainer::getService(Watchdog::class);

        $watchdog->generateWatchdogs();
    }
}

return RunWatchdogScript::class;
